<?xml version="1.0" encoding="UTF-8"?>
<!-- gqs801_582val_Vecozo_stap1 versie 2.0 u1 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cod="http://ei.vektis.nl/codelijsten/v1" xmlns:gqs801="http://ei.vektis.nl/schadelastbericht582" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583" xsi:schemaLocation="http://ei.vektis.nl/schadelastbericht582 gqs801_582.xsd">
	<!-- VALXSLT 2 TRAPS RETOURBERICHT  - versie Vecozo -->
	<!-- Deze xslt doet stap 1, i.e. tussenresultaat retourbericht met alle klassen, identificerende gegevens van klassen en geconstateerde fouten -->
	<!-- Laden Configuratiefile met waarde voor Omgeving en Huidige datum	-->
	<xsl:import href="config_Vecozo.xml"/>
	<xsl:import href="rcCode_vs_Peildatum.xslt"/>
	<xsl:import href="rcDatum_vs_Peildatum.xslt"/>
	<xsl:import href="rcDatum_vs_Huidigedatum.xslt"/>
	<xsl:import href="rcDatum_vs_IngangsdatumGQS.xslt"/>
	<xsl:import href="rcTotaalbedrag_vs_Details.xslt"/>
	<xsl:import href="rcDatum_vs_Periode.xslt"/>
	<xsl:import href="rc0013.xslt"/>
	<xsl:import href="rc0581.xslt"/>
	<xsl:import href="rc8028.xslt"/>
	<xsl:import href="rc8354.xslt"/>
	<xsl:import href="rc9262a.xslt"/>
	<xsl:import href="rc9263a.xslt"/>
	<xsl:import href="rc9488.xslt"/>
	<xsl:import href="rc9489.xslt"/>
	<xsl:import href="rc9492.xslt"/>
	<xsl:import href="rc9536.xslt"/>
	<xsl:import href="rc9553.xslt"/>
	<xsl:import href="rc9691.xslt"/>
	<xsl:import href="rc9692.xslt"/>
	<xsl:import href="rc9693.xslt"/>
	<xsl:import href="rc9694.xslt"/>
	<xsl:import href="rc9695.xslt"/>
	<xsl:import href="rc9696.xslt"/>
	<xsl:import href="rc9697.xslt"/>

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:variable name="Berichtcode" select="//gqs801:Bericht/gqs801:Header/gqs801:Berichtcode"/>
	<xsl:variable name="Berichtsoort" select="//gqs801:Bericht/gqs801:Header/gqs801:Berichtsoort"/>
	<xsl:variable name="Verzender" select="//gqs801:Bericht/gqs801:Header/gqs801:Verzender"/>
	<xsl:variable name="VerzenderRol" select="//gqs801:Bericht/gqs801:Header/gqs801:VerzenderRol"/>
	<xsl:variable name="Ontvanger" select="//gqs801:Bericht/gqs801:Header/gqs801:Ontvanger"/>
	<xsl:variable name="OntvangerRol" select="//gqs801:Bericht/gqs801:Header/gqs801:OntvangerRol"/>
	<xsl:variable name="Verzenddatum" select="//gqs801:Bericht/gqs801:Header/gqs801:Verzenddatum"/>
	<xsl:variable name="Aanmaakdatum" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:Aanmaakdatum"/>
	<xsl:variable name="BegindatumVerwerkingsperiode" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:BegindatumVerwerkingsperiode"/>
	<xsl:variable name="EinddatumVerwerkingsperiode" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:EinddatumVerwerkingsperiode"/>
	<xsl:variable name="Berichttype" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:Berichttype"/>
	<xsl:variable name="GerelateerdReferentienummer" select="//gqs801:Bericht/gqs801:Header/gqs801:GerelateerdReferentienummer"/>
	<xsl:variable name="TotaalDeclaratiebedrag" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalDeclaratiebedragInclBtw/gqs801:Bedrag"/>
	<xsl:variable name="TotaalDeclaratiebedragDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalDeclaratiebedragInclBtw/gqs801:DebetCreditCode"/>
	<xsl:variable name="TotaalVergoedBasis" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:Bedrag"/>
	<xsl:variable name="TotaalVergoedBasisDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:DebetCreditCode"/>
	<xsl:variable name="TotaalVergoedAanvullend" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:Bedrag"/>
	<xsl:variable name="TotaalVergoedAanvullendDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:DebetCreditCode"/>
	<xsl:variable name="TotaalEigenRisico" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalBedragEigenRisico/gqs801:Bedrag"/>
	<xsl:variable name="TotaalEigenRisicoDCIndicator" select="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalBedragEigenRisico/gqs801:DebetCreditCode"/>

	<xsl:key name="DebetReferentienummer" match="//gqs801:Bericht/gqs801:Verzekerde/gqs801:Prestatie/gqs801:DebetPrestatie" use="gqs801:Referentienummer"/>
	<!-- RC003: VerzenderRol moet voorkomen in ketenpartij codelijst. | Indien VerzenderRol in ketenpartij codelijst voorkomt, dan moet de waarde van Verzenddatum groter zijn dan of gelijk zijn aan de waarde van ingangsdatum ketenpartij van VerzenderRol. | Indien expiratiedatum in ketenpartij codelijst gevuld is, dan moet de waarde van Verzenddatum kleiner zijn dan de waarde van expiratiedatum ketenpartij van VerzenderRol. -->
	<xsl:variable name="rc003">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/CL0002-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9302'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9303'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9304'"/>
			<xsl:with-param name="Code" select="$VerzenderRol"/>
			<xsl:with-param name="Peildatum" select="$Verzenddatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- RC006: OntvangerRol moet voorkomen in ketenpartij codelijst. | Indien OntvangerRol in ketenpartij codelijst voorkomt, dan moet de waarde van Verzenddatum groter zijn dan of gelijk zijn aan de waarde van ingangsdatum ketenpartij van OntvangerRol. | Indien expiratiedatum in ketenpartij codelijst gevuld is, dan moet de waarde van Verzenddatum kleiner zijn dan de waarde van expiratiedatum ketenpartij van OntvangerRol. -->
	<xsl:variable name="rc006">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/CL0002-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9311'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9312'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9313'"/>
			<xsl:with-param name="Code" select="$OntvangerRol"/>
			<xsl:with-param name="Peildatum" select="$Verzenddatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- RC007: BronIdDeclaratieverwerkingssysteem moet voorkomen in bron-id-declaratieverwerkingssysteem codelijst. | Indien BronIdDeclaratieverwerkingssysteem in bron-id-declaratieverwerkingssysteem codelijst voorkomt, dan moet de waarde van Aanmaakdatum groter zijn dan of gelijk zijn aan de waarde van ingangsdatum bron-id-declaratieverwerkingssysteem van BronIdDeclaratieverwerkingssysteem. | Indien expiratiedatum code-element in bron-id-declaratieverwerkingssysteem codelijst gevuld is, dan moet de waarde van Aanmaakdatum kleiner zijn dan de waarde van expiratiedatum bron-id-declaratieverwerkingssysteem van BronIdDeclaratieverwerkingssysteem. -->
	<xsl:variable name="rc007">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD469-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'8845'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9493'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9494'"/>
			<xsl:with-param name="Code" select="//gqs801:Bericht/gqs801:SchadelastContext/gqs801:BronIdDeclaratieverwerkingssysteem"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- RC008: Berichttype moet voorkomen in berichttype codelijst. | Indien Berichttype in berichttype codelijst voorkomt, dan moet de waarde van Aanmaakdatum groter zijn dan of gelijk zijn aan de waarde van ingangsdatum berichttype van Berichttype. | Indien expiratiedatum code-element in berichttype codelijst gevuld is, dan moet de waarde van Aanmaakdatum kleiner zijn dan de waarde van expiratiedatum berichttype van Berichttype. -->
	<xsl:variable name="rc008">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/CL0018-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9495'"/>
			<xsl:with-param name="RetourcodeIngangsdatum" select="'9496'"/>
			<xsl:with-param name="RetourcodeExpiratiedatum" select="'9497'"/>
			<xsl:with-param name="Code" select="$Berichttype"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- RC012a: DebetCreditCode moet voorkomen in Indicatie debet/credit codelijst. -->
	<xsl:variable name="rc012a">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalDeclaratiebedragDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- RC012b: DebetCreditCode moet voorkomen in Indicatie debet/credit codelijst. -->
	<xsl:variable name="rc012b">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalVergoedBasisDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- RC012c: DebetCreditCode moet voorkomen in Indicatie debet/credit codelijst. -->
	<xsl:variable name="rc012c">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalVergoedAanvullendDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- RC012d: DebetCreditCode moet voorkomen in Indicatie debet/credit codelijst. -->
	<xsl:variable name="rc012d">
		<xsl:call-template name="rcCode_vs_Peildatum">
			<xsl:with-param name="Codelijst" select="'codelijsten/COD043-VEKT.xml'"/>
			<xsl:with-param name="RetourcodeBestaanbaarheid" select="'9406'"/>
			<xsl:with-param name="Code" select="$TotaalEigenRisicoDCIndicator"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC001: De waarde van BerichtSoort moet voldoen aan de omgeving van VECOZO (productie of test). -->
	<xsl:variable name="vc001">
		<xsl:call-template name="rc8028">
			<xsl:with-param name="Berichtsoort" select="$Berichtsoort"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC002: Indien Berichtcode = 582 (= Aanlevering schadelastgegevens generiek), dan mag alleen VerzenderRol = 3 (= Zorgverzekeraar) of 5 (= Zorgkantoor) voorkomen. -->
	<xsl:variable name="vc002">
		<xsl:call-template name="rc9262a">
			<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
			<xsl:with-param name="VerzenderRol" select="$VerzenderRol"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC004: Indien Berichtcode = 582 (= Aanlevering schadelastgegevens generiek), dan mag alleen OntvangerRol = 10 (= Vektis) voorkomen. -->
	<xsl:variable name="vc004">
		<xsl:call-template name="rc9263a">
			<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
			<xsl:with-param name="OntvangerRol" select="$OntvangerRol"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC006: De waarde van Verzenddatum moet kleiner zijn dan of gelijk zijn aan de waarde van huidige datum. -->
	<xsl:variable name="vc006">
		<xsl:call-template name="rcDatum_vs_Huidigedatum">
			<xsl:with-param name="TeControlerenDatum" select="$Verzenddatum"/>
			<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="8986" />
		</xsl:call-template>
	</xsl:variable>
	<!-- VC007: Indien Berichttype is 02 (= Correctie aanlevering) of 03 (= Vervallen aanlevering), dan moet GerelateerdReferentienummer voorkomen.  -->
	<xsl:variable name="vc007">
		<xsl:call-template name="rc9489">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="GerelateerdReferentienummer" select="$GerelateerdReferentienummer"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC008: De waarde van Aanmaakdatum moet kleiner zijn dan of gelijk zijn aan de waarde van Verzenddatum. -->
	<xsl:variable name="vc008">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="TeControlerenDatum" select="$Aanmaakdatum"/>
			<xsl:with-param name="Peildatum" select="$Verzenddatum"/>
			<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="9490" />
		</xsl:call-template>
	</xsl:variable>
	<!-- VC009: Indien EinddatumVerwerkingsperiode voorkomt, dan moet de waarde van EinddatumVerwerkingsperiode kleiner zijn dan of gelijk zijn aan de waarde van Aanmaakdatum.  -->
	<xsl:variable name="vc009">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="TeControlerenDatum" select="$EinddatumVerwerkingsperiode"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
			<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="8371"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC011: Indien BegindatumVerwerkingsperiode voorkomt, dan moet de waarde van BegindatumVerwerkingsperiode kleiner zijn dan of gelijk zijn aan de waarde van Aanmaakdatum. -->
	<xsl:variable name="vc011">
		<xsl:call-template name="rcDatum_vs_Peildatum">
			<xsl:with-param name="TeControlerenDatum" select="$BegindatumVerwerkingsperiode"/>
			<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
			<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			<xsl:with-param name="Retourcode" select="9491"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC012: Indien Berichttype is 02 (= Correctie aanlevering) of 03 (= Vervallen aanlevering), dan mogen BegindatumVerwerkingsperiode en EinddatumVerwerkingperiode niet voorkomen. -->
	<xsl:variable name="vc012">
		<xsl:call-template name="rc9492">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="BegindatumVerwerkingsperiode" select="$BegindatumVerwerkingsperiode"/>
			<xsl:with-param name="EinddatumVerwerkingsperiode" select="$EinddatumVerwerkingsperiode"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC013: Indien BegindatumVerwerkingsperiode  en EinddatumVerwerkingsperiode voorkomen, dan moet de waarde van BegindatumVerwerkingsperiode kleiner zijn dan de waarde van EinddatumVerwerkingsperiode. -->
	<xsl:variable name="vc013">
		<xsl:if test="($BegindatumVerwerkingsperiode and $EinddatumVerwerkingsperiode)">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="TeControlerenDatum" select="$EinddatumVerwerkingsperiode"/>
				<xsl:with-param name="Peildatum" select="$BegindatumVerwerkingsperiode"/>
				<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
				<xsl:with-param name="Retourcode" select="8372"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:variable>
	<!-- VC014: De waarde van TotaalDeclaratiebedragInclBtw moet gelijk zijn aan de som van de waarden van DeclaratiebedragInclBtw in alle DebetPrestaties.  -->
	<xsl:variable name="vc014">
		<xsl:call-template name="rcTotaalbedrag_vs_Details">
			<xsl:with-param name="TotaalBedrag" select="$TotaalDeclaratiebedrag"/>
			<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalDeclaratiebedragDCIndicator"/>
			<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:DeclaratieBedragInclBtw)"/>
			<xsl:with-param name="TotaalCreditBedragen" select="0.00"/>
			<xsl:with-param name="Retourcode" select="'0150'"/>
			<xsl:with-param name="NaamBedrag" select="'TotaalDeclaratiebedragInclBtw'"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC015: Indien TotaalVergoedBedragBasisInclBtw voorkomt, dan moet TotaalVergoedBedragBasisInclBtw, rekening houdend met debet/credit, gelijk zijn aan de som van VergoedBedragBasisInclBtw, rekening houdend met alle DebetPrestaties en alle CreditPrestaties.  -->
	<xsl:variable name="vc015">
		<xsl:if test="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragBasisInclBtw">
			<xsl:call-template name="rcTotaalbedrag_vs_Details">
				<xsl:with-param name="TotaalBedrag" select="$TotaalVergoedBasis"/>
				<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalVergoedBasisDCIndicator"/>
				<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:VergoedBedragBasisInclBtw)"/>
				<xsl:with-param name="TotaalCreditBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:VergoedBedragBasisInclBtw)"/>
				<xsl:with-param name="Retourcode" select="'8390'"/>
				<xsl:with-param name="NaamBedrag" select="'TotaalVergoedBedragBasisInclBtw'"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:variable>
	<!-- VC016: Indien TotaalVergoedBedragAanvullendInclBtw voorkomt, dan moet TotaalVergoedBedragAanvullendInclBtw, rekening houdend met debet/credit, gelijk zijn aan de som van de TotaalVergoedBedragAanvullendInclBtw, rekening houdend met alle DebetPrestaties en alle CreditPrestaties.  -->
	<xsl:variable name="vc016">
		<xsl:if test="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalVergoedBedragAanvullendInclBtw">
			<xsl:call-template name="rcTotaalbedrag_vs_Details">
				<xsl:with-param name="TotaalBedrag" select="$TotaalVergoedAanvullend"/>
				<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalVergoedAanvullendDCIndicator"/>
				<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:VergoedBedragAanvullendInclBtw)"/>
				<xsl:with-param name="TotaalCreditBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:VergoedBedragAanvullendInclBtw)"/>
				<xsl:with-param name="Retourcode" select="'8365'"/>
				<xsl:with-param name="NaamBedrag" select="'TotaalVergoedBedragAanvullendInclBtw'"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:variable>
	<!-- VC017: Indien TotaalBedragEigenRisico voorkomt, dan moet TotaalBedragEigenRisicoInclBtw, rekening houdend met debet/credit, gelijk zijn aan de som van BedragEigenRisico, rekening houdend met alle DebetPrestaties en alle CreditPrestaties.  -->
	<xsl:variable name="vc017">
		<xsl:if test="//gqs801:Bericht/gqs801:Overzicht/gqs801:TotaalBedragEigenRisico">
			<xsl:call-template name="rcTotaalbedrag_vs_Details">
				<xsl:with-param name="TotaalBedrag" select="$TotaalEigenRisico"/>
				<xsl:with-param name="TotaalBedragDCIndicator" select="$TotaalEigenRisicoDCIndicator"/>
				<xsl:with-param name="TotaalDebetBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:BedragEigenRisico)"/>
				<xsl:with-param name="TotaalCreditBedragen" select="sum(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:BedragEigenRisico)"/>
				<xsl:with-param name="Retourcode" select="'8391'"/>
				<xsl:with-param name="NaamBedrag" select="'TotaalBedragEigenRisicoInclBtw'"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:variable>
	<!-- VC027: Indien Berichtsoort = P (= Productiebericht) en  BegindatumVerwerkingsperiode voorkomt, dan moet de waarde van BegindatumVerwerkingsperiode groter zijn dan of gelijk zijn aan de waarde van parameter ingangsdatumGQS. -->
	<xsl:variable name="vc027">
		<xsl:if test="normalize-space($Berichtsoort) = 'P'">
			<xsl:call-template name="rcDatum_vs_IngangsdatumGQS">
				<xsl:with-param name="TeControlerenDatum" select="$BegindatumVerwerkingsperiode"/>
				<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
				<xsl:with-param name="Retourcode" select="'8354'"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:variable>
	<!-- VC028: Indien Berichttype = 01 (= Oorspronkelijke aanlevering), dan moet BegindatumVerwerkingsperiode voorkomen. -->
	<xsl:variable name="vc028">
		<xsl:call-template name="rc8354">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="BegindatumVerwerkingsperiode" select="$BegindatumVerwerkingsperiode"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC038: Indien Berichttype is 01 (= Initiele aanlevering), dan mag GerelateerdReferentienummer niet voorkomen.  -->
	<xsl:variable name="vc038">
		<xsl:call-template name="rc9693">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="GerelateerdReferentienummer" select="$GerelateerdReferentienummer"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC039: Indien onderliggende VergoedBedragBasisInclBtw niet voorkomen, dan mag TotaalVergoedBedragBasisInclBtw niet voorkomen. -->
	<xsl:variable name="vc039">	
		<xsl:call-template name="rc9694">
			<xsl:with-param name="AantalVergoedBedragBasisDetail" select="count(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:VergoedBedragBasisInclBtw) +
																											count(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:VergoedBedragBasisInclBtw)"/>
			<xsl:with-param name="TotaalVergoedBedragBasis" select="$TotaalVergoedBasis"/>
		</xsl:call-template>
	</xsl:variable> 
	<!-- VC040: Indien onderliggende VergoedBedragAanvullendInclBtw niet voorkomen, dan mag TotaalVergoedBedragAanvullendInclBtw niet voorkomen. -->
	<xsl:variable name="vc040">
		<xsl:call-template name="rc9695">
			<xsl:with-param name="AantalVergoedBedragAanvullendDetail" select="count(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:VergoedBedragAanvullendInclBtw) +
																											count(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:VergoedBedragAanvullendInclBtw)"/>
			<xsl:with-param name="TotaalVergoedBedragAanvullend" select="$TotaalVergoedAanvullend"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC041: Indien onderliggende BedragEigenRisico niet voorkomen, dan mag TotaalBedragEigenRisico niet voorkomen. -->
	<xsl:variable name="vc041">
		<xsl:call-template name="rc9696">
			<xsl:with-param name="AantalBedragEigenRisicoDetail" select="count(//gqs801:Bericht/gqs801:Prestatie/gqs801:DebetPrestatie/gqs801:BedragEigenRisico) +
																											count(//gqs801:Bericht/gqs801:Prestatie/gqs801:CreditPrestatie/gqs801:BedragEigenRisico)"/>
			<xsl:with-param name="TotaalBedragEigenRisico" select="$TotaalEigenRisico"/>
		</xsl:call-template>
	</xsl:variable>
	<!-- VC043: Indien Berichttype is 03 (= Vervallen aanlevering), dan mag Prestatie niet voorkomen. -->
	<xsl:variable name="vc043">
		<xsl:call-template name="rc9697">
			<xsl:with-param name="Berichttype" select="$Berichttype"/>
			<xsl:with-param name="Prestatie" select="//gqs801:Bericht/gqs801:Prestatie"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:template match="gqs801:Bericht">
		<gqs802:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/schadelastbericht583 gqs802_583.xsd</xsl:attribute>
			<!-- Altijd Header, DeclaratieContext en Overzicht retour -->
			<xsl:apply-templates select="gqs801:Header"/>
			<xsl:apply-templates select="gqs801:SchadelastContext"/>
			<xsl:apply-templates select="gqs801:Overzicht"/>
			<!-- Geen errors in de Header, DeclaratieContext of Overzicht dan hele bericht als retour -->
			<xsl:if test="$rc003='' and $rc006='' and $rc007='' and $rc008='' and $rc012a='' and $rc012b='' and $rc012c='' and $rc012d='' and $vc001='' and $vc002='' and $vc004='' and $vc006='' and $vc007='' and $vc008='' and $vc009='' and $vc011='' and $vc012='' and $vc013='' and $vc014='' and $vc015='' and $vc016='' and $vc017='' and $vc027='' and $vc028='' and $vc038='' and $vc039='' and $vc040='' and $vc041='' and $vc043=''">
				<xsl:apply-templates select="gqs801:Prestatie"/>
			</xsl:if>
		</gqs802:Bericht>
	</xsl:template>
	<xsl:template match="gqs801:Header">
		<!-- klasse Header opbouwen -->
		<gqs802:Header>
			<gqs802:Berichtcode>583</gqs802:Berichtcode>
			<!-- gehanteerde Berichtversie en Berichtsubversie voor retourbericht -->
			<gqs802:Berichtversie>2</gqs802:Berichtversie>
			<gqs802:Berichtsubversie>0</gqs802:Berichtsubversie>
			<xsl:apply-templates select="gqs801:Berichtsoort" mode="copy-if-exists"/>
			<!-- als Vecozo is verzender van het retourbericht dan vullen met gegevens van Vecozo, anders met de gegevens van de verzender van het declaratiebericht -->
			<xsl:choose>
				<xsl:when test="$VerzenderRetourbericht = 'Vecozo'">
					<gqs802:VerzenderRol>
						<xsl:value-of select="$VerzenderRolVecozo"/>
					</gqs802:VerzenderRol>
				</xsl:when>
				<xsl:otherwise>
					<gqs802:Verzender>
						<xsl:value-of select="gqs801:Ontvanger"/>
					</gqs802:Verzender>
					<gqs802:VerzenderRol>
						<xsl:value-of select="gqs801:OntvangerRol"/>
					</gqs802:VerzenderRol>
				</xsl:otherwise>
			</xsl:choose>
			<!-- Ontvanger in retourbericht is Verzender uit declaratiebericht -->
			<xsl:if test="$Ontvanger">
				<gqs802:Ontvanger>
					<xsl:value-of select="gqs801:Verzender"/>
				</gqs802:Ontvanger>
			</xsl:if>
			<!-- OntvangerRol in retourbericht is VerzenderRol uit declaratiebericht -->
			<gqs802:OntvangerRol>
				<xsl:value-of select="gqs801:VerzenderRol"/>
			</gqs802:OntvangerRol>
			<gqs802:Verzenddatum>
				<xsl:value-of select="$HuidigeDatum"/>
			</gqs802:Verzenddatum>
			<!-- als Referentienummer van retourbericht het Referentienummer van heenbericht hanteren -->
			<xsl:apply-templates select="gqs801:Referentienummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:GerelateerdReferentienummer" mode="copy-if-exists"/>
			<!-- feedback klasse Header toevoegen -->
			<xsl:copy-of select="$rc003"/>
			<xsl:copy-of select="$rc006"/>
			<xsl:copy-of select="$vc001"/>
			<xsl:copy-of select="$vc002"/>
			<xsl:copy-of select="$vc004"/>
			<xsl:copy-of select="$vc006"/>
	</gqs802:Header>
	</xsl:template>
	<xsl:template match="gqs801:SchadelastContext">
		<!-- klasse Overzicht opbouwen -->
		<gqs802:SchadelastContext>
			<xsl:apply-templates select="gqs801:Valutacode" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:BronIdDeclaratieverwerkingssysteem" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:Berichttype" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:Aanlevernummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:Aanmaakdatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:BegindatumVerwerkingsperiode" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:EinddatumVerwerkingsperiode" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:UzoviNummerVolmacht" mode="copy-if-exists"/>
			<!-- feedback klasse SchadelastContext toevoegen -->
			<xsl:copy-of select="$rc007"/>
			<xsl:copy-of select="$rc008"/>
			<xsl:copy-of select="$vc007"/>
			<xsl:copy-of select="$vc008"/>
			<xsl:copy-of select="$vc009"/>
			<xsl:copy-of select="$vc011"/>
			<xsl:copy-of select="$vc012"/>
			<xsl:copy-of select="$vc013"/>
			<xsl:copy-of select="$vc027"/>
			<xsl:copy-of select="$vc028"/>
			<xsl:copy-of select="$vc038"/>
			<xsl:copy-of select="$vc043"/>
		</gqs802:SchadelastContext>
	</xsl:template>
	<xsl:template match="gqs801:Overzicht">
		<!-- klasse Overzicht opbouwen -->
		<gqs802:Overzicht>
			<gqs802:TotaalDeclaratiebedragInclBtw>
				<xsl:apply-templates select="gqs801:TotaalDeclaratiebedragInclBtw/gqs801:Bedrag" mode="copy-if-exists"/>
				<xsl:apply-templates select="gqs801:TotaalDeclaratiebedragInclBtw/gqs801:DebetCreditCode" mode="copy-if-exists"/>
				<xsl:copy-of select="$rc012a"/>
			</gqs802:TotaalDeclaratiebedragInclBtw>
			<xsl:if test="gqs801:TotaalVergoedBedragBasisInclBtw">
				<gqs802:TotaalVergoedBedragBasisInclBtw>
					<xsl:apply-templates select="gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:Bedrag" mode="copy-if-exists"/>
					<xsl:apply-templates select="gqs801:TotaalVergoedBedragBasisInclBtw/gqs801:DebetCreditCode" mode="copy-if-exists"/>
					<xsl:copy-of select="$rc012b"/>
				</gqs802:TotaalVergoedBedragBasisInclBtw>
			</xsl:if>
			<xsl:if test="gqs801:TotaalVergoedBedragAanvullendInclBtw">
				<gqs802:TotaalVergoedBedragAanvullendInclBtw>
					<xsl:apply-templates select="gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:Bedrag" mode="copy-if-exists"/>
					<xsl:apply-templates select="gqs801:TotaalVergoedBedragAanvullendInclBtw/gqs801:DebetCreditCode" mode="copy-if-exists"/>
					<xsl:copy-of select="$rc012c"/>
				</gqs802:TotaalVergoedBedragAanvullendInclBtw>
			</xsl:if>
			<xsl:if test="gqs801:TotaalBedragEigenRisico">
				<gqs802:TotaalBedragEigenRisico>
					<xsl:apply-templates select="gqs801:TotaalBedragEigenRisico/gqs801:Bedrag" mode="copy-if-exists"/>
					<xsl:apply-templates select="gqs801:TotaalBedragEigenRisico/gqs801:DebetCreditCode" mode="copy-if-exists"/>
					<xsl:copy-of select="$rc012d"/>
				</gqs802:TotaalBedragEigenRisico>
			</xsl:if>
			<!-- feedback klasse Overzicht toevoegen -->
			<xsl:copy-of select="$vc014"/>
			<xsl:copy-of select="$vc015"/>
			<xsl:copy-of select="$vc016"/>
			<xsl:copy-of select="$vc017"/>
			<xsl:copy-of select="$vc039"/>
			<xsl:copy-of select="$vc040"/>
			<xsl:copy-of select="$vc041"/>
		</gqs802:Overzicht>
	</xsl:template>
	<xsl:template match="gqs801:Prestatie">
		<gqs802:Prestatie>
			<xsl:apply-templates select="gqs801:DebetPrestatie"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:CreditPrestatie"></xsl:apply-templates>
		</gqs802:Prestatie>
	</xsl:template>
	<xsl:template match="gqs801:DebetPrestatie">
	<!-- RC010: Declaratiewijze moet voorkomen in Declaratiewijze codelijst. | De waarde van DebetPrestatie/Begindatum moet groter zijn dan of gelijk zijn aan de ingangsdatum van Declaratiewijze. | Indien expiratiedatum Declaratiewijze gevuld is, dan moet de waarde van DebetPrestatie/Begindatum kleiner zijn dan de waarde van Declaratiewijze/expiratiedatum. -->
		<xsl:variable name="rc010">
			<xsl:call-template name="rcCode_vs_Peildatum">
				<xsl:with-param name="Codelijst" select="'codelijsten/COD470-VEKT.xml'"/>
				<xsl:with-param name="RetourcodeBestaanbaarheid" select="'8358'"/>
				<xsl:with-param name="RetourcodeIngangsdatum" select="'9501'"/>
				<xsl:with-param name="RetourcodeExpiratiedatum" select="'9502'"/>
				<xsl:with-param name="Code" select="gqs801:Declaratiewijze"/>
				<xsl:with-param name="Peildatum" select="gqs801:Begindatum"/>
			</xsl:call-template>
		</xsl:variable>
	<!-- VC018: Indien Berichtcode = 582 (= Generieke schadelaststandaard), dan moet waarde PrestatieCodelijstCode = 071 (= Prestatiecodelijst geestelijke gezondheidszorg en forensische zorg volgens zpm) of 073 (= Fysiotherapie) of 074 (= Oefentherapie) of 075 (= Huidtherapie) of 076 (= Diëtetiek) of 077 (= Ergotherapie) of 078 (= Logopedie) of 079 (= GLI) of 080 (= Podotherapie) of 081 (= Overig GDS) voorkomen. -->
		<xsl:variable name="vc018">
			<xsl:call-template name="rc0581">
				<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
				<xsl:with-param name="PrestatieCodelijstCode" select="gqs801:PrestatieCodelijstCode"/>
			</xsl:call-template>
		</xsl:variable>
	<!-- VC020: De waarde van DebetPrestatie/Begindatum moet kleiner zijn dan of gelijk zijn aan de waarde van Aanmaakdatum. -->
		<xsl:variable name="vc020">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="TeControlerenDatum" select="gqs801:Begindatum"/>
				<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
				<xsl:with-param name="Retourcode" select="'9690'"/>
				<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			</xsl:call-template>
		</xsl:variable>
	<!-- VC021: Indien BegindatumVerwerkingsperiode voorkomt, dan moet de waarde van Verwerkingsdatum groter zijn dan of gelijk zijn aan de waarde van BegindatumVerwerkingsperiode. -->
		<xsl:variable name="vc021">
		    <xsl:if test="($BegindatumVerwerkingsperiode)">
				<xsl:call-template name="rcDatum_vs_Peildatum">
					<xsl:with-param name="TeControlerenDatum" select="gqs801:Verwerkingsdatum"/>
					<xsl:with-param name="Peildatum" select="$BegindatumVerwerkingsperiode"/>
					<xsl:with-param name="Vergelijking" select="'groterofgelijkaan'"/>
					<xsl:with-param name="Retourcode" select="'8370'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:variable>
	<!-- VC022: Indien EinddatumVerwerkingsperiode voorkomt, dan moet de waarde van Verwerkingsdatum kleiner zijn dan of gelijk zijn aan de waarde van EinddatumVerwerkingsperiode. -->
		<xsl:variable name="vc022">
		    <xsl:if test="($EinddatumVerwerkingsperiode)">
				<xsl:call-template name="rcDatum_vs_Peildatum">
					<xsl:with-param name="TeControlerenDatum" select="gqs801:Verwerkingsdatum"/>
					<xsl:with-param name="Peildatum" select="$EinddatumVerwerkingsperiode"/>
					<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
					<xsl:with-param name="Retourcode" select="'8370'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:variable>
	<!-- VC033: Indien EinddatumVerwerkingsperiode niet voorkomt en BegindatumVerwerkingsperiode voorkomt, dan moet de waarde van Verwerkingsdatum gelijk zijn aan de waarde van BegindatumVerwerkingsperiode. -->
		<xsl:variable name="vc033">
		    <xsl:if test="(not($EinddatumVerwerkingsperiode) and $BegindatumVerwerkingsperiode)">
				<xsl:call-template name="rcDatum_vs_Peildatum">
					<xsl:with-param name="TeControlerenDatum" select="gqs801:Verwerkingsdatum"/>
					<xsl:with-param name="Peildatum" select="$BegindatumVerwerkingsperiode"/>
					<xsl:with-param name="Vergelijking" select="'gelijkaan'"/>
					<xsl:with-param name="Retourcode" select="'8370'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:variable>
		<gqs802:DebetPrestatie>
			<xsl:apply-templates select="gqs801:Referentienummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs801:Verzekerde"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:Indiener"></xsl:apply-templates>
			<xsl:apply-templates select="gqs801:AanvullendePrestatiegegevens"></xsl:apply-templates>
			<!-- feedback klasse DebetPrestatie toevoegen -->
			<xsl:copy-of select="$rc010"/>
			<xsl:copy-of select="$vc018"/>
			<xsl:copy-of select="$vc020"/>
			<xsl:copy-of select="$vc021"/>
			<xsl:copy-of select="$vc022"/>
			<xsl:copy-of select="$vc033"/>
		</gqs802:DebetPrestatie>
	</xsl:template>
	<xsl:template match="gqs801:CreditPrestatie">
	<!-- VC018: Indien Berichtcode = 582 (= Generieke schadelaststandaard), dan moet waarde PrestatieCodelijstCode = 071 (= Prestatiecodelijst geestelijke gezondheidszorg en forensische zorg volgens zpm) of 073 (= Fysiotherapie) of 074 (= Oefentherapie) of 075 (= Huidtherapie) of 076 (= Diëtetiek) of 077 (= Ergotherapie) of 078 (= Logopedie) of 079 (= GLI) of 080 (= Podotherapie) of 081 (= Overig GDS) voorkomen. -->
		<xsl:variable name="vc018">
			<xsl:call-template name="rc0581">
				<xsl:with-param name="Berichtcode" select="$Berichtcode"/>
				<xsl:with-param name="PrestatieCodelijstCode" select="gqs801:PrestatieCodelijstCode"/>
			</xsl:call-template>
		</xsl:variable>
	<!-- VC023: De waarde van CreditPrestatie/Begindatum moet kleiner zijn dan of gelijk zijn aan de waarde van Aanmaakdatum. -->
		<xsl:variable name="vc023">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="TeControlerenDatum" select="gqs801:Begindatum"/>
				<xsl:with-param name="Peildatum" select="$Aanmaakdatum"/>
				<xsl:with-param name="Retourcode" select="'9283'"/>
				<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:CreditPrestatie>
			<xsl:apply-templates select="gqs801:Referentienummer" mode="copy-if-exists"/>
			<!-- feedback klasse CreditPrestatie toevoegen -->
			<xsl:copy-of select="$vc018"/>
			<xsl:copy-of select="$vc023"/>
		</gqs802:CreditPrestatie>
	</xsl:template>
	<xsl:template match="gqs801:Verzekerde">
	<!-- VC042: Indien Verzender niet = 7125 (= Orgaan van de verblijfplaats) of 9991 (= Orgaan van de woonplaats), dan mag Verzekerdenummer niet meer dan 15 posities bevatten. -->
		<xsl:variable name="vc042">
			<xsl:call-template name="rc9553">
				<xsl:with-param name="Verzender" select="$Verzender"/>
				<xsl:with-param name="Verzekerdennummer" select="gqs801:Verzekerdennummer"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:Verzekerde>
			<!-- feedback klasse Verzekerde toevoegen -->
			<xsl:copy-of select="$vc042"/>
		</gqs802:Verzekerde>
	</xsl:template>
	<xsl:template match="gqs801:Indiener">
	<!-- RC011: IndienerSoort moet voorkomen in indiener soort codelijst. | Indien IndienerSoort voorkomt in indiener soort codelijst, dan moet de waarde van DebetPrestatie/Begindatum groter zijn dan of gelijk zijn aan de ingangsdatum indiener soort van IndienerSoort. | Indien expiratiedatum indiener soort gevuld is, dan moet de waarde van DebetPrestatie/Begindatum kleiner zijn dan de waarde van expiratiedatum indiener soort van IndienerSoort. -->
		<xsl:variable name="rc011">
			<xsl:call-template name="rcCode_vs_Peildatum">
				<xsl:with-param name="Codelijst" select="'codelijsten/COD976-VEKT.xml'"/>
				<xsl:with-param name="RetourcodeBestaanbaarheid" select="'8434'"/>
				<xsl:with-param name="RetourcodeIngangsdatum" select="'9504'"/>
				<xsl:with-param name="RetourcodeExpiratiedatum" select="'9505'"/>
				<xsl:with-param name="Code" select="gqs801:IndienerSoort"/>
				<xsl:with-param name="Peildatum" select="../gqs801:Begindatum"/>
			</xsl:call-template>
		</xsl:variable>
	<!-- VC026: Indien IndienerSoort = 01 (Servicebureau), dan moet Servicebureaucode voorkomen. -->
		<xsl:variable name="vc026">
			<xsl:call-template name="rc0013">
				<xsl:with-param name="Indienersoort" select="gqs801:IndienerSoort"/>
				<xsl:with-param name="Servicebureaucode" select="gqs801:Servicebureaucode"/>
			</xsl:call-template>
		</xsl:variable>
	<!-- VC029: De waarde van Factuurdatum moet kleiner zijn dan of gelijk zijn aan de waarde van Verwerkingsdatum. -->
		<xsl:variable name="vc029">
			<xsl:call-template name="rcDatum_vs_Peildatum">
				<xsl:with-param name="TeControlerenDatum" select="gqs801:Factuurdatum"/>
				<xsl:with-param name="Peildatum" select="../gqs801:Verwerkingsdatum"/>
				<xsl:with-param name="Vergelijking" select="'kleinerofgelijkaan'"/>
				<xsl:with-param name="Retourcode" select="9487" />
			</xsl:call-template>
		</xsl:variable>
	<!-- VC034: Indien Declaratiewijze = 01,  dan moeten Factuurnummer en Factuurdatum voorkomen -->
		<xsl:variable name="vc034">
			<xsl:call-template name="rc9536">
				<xsl:with-param name="Declaratiewijze" select="../gqs801:Declaratiewijze"/>
				<xsl:with-param name="Factuurnummer" select="gqs801:Factuurnummer"/>
				<xsl:with-param name="Factuurdatum" select="gqs801:Factuurdatum"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:Indiener>
			<!-- feedback klasse Indiener toevoegen -->
			<xsl:copy-of select="$rc011"/>
			<xsl:copy-of select="$vc026"/>
			<xsl:copy-of select="$vc029"/>
			<xsl:copy-of select="$vc034"/>
		</gqs802:Indiener>
	</xsl:template>
	<xsl:template match="gqs801:AanvullendePrestatiegegevens">
	<!-- VC036: Indien Verzender = 7125 (= Orgaan van de verblijfplaats) of 9991 (= Orgaan van de woonplaats), dan moet InternationaalVerzekeringsbewijs  voorkomen. -->
		<xsl:variable name="vc036">
			<xsl:call-template name="rc9691">
				<xsl:with-param name="Verzender" select="$Verzender"/>
				<xsl:with-param name="InternationaalVerzekeringsbewijs" select="gqs801:InternationaalVerzekeringsbewijs"/>
			</xsl:call-template>
		</xsl:variable>
	<!-- VC037: Indien Verzender niet = 7125 (= Orgaan van de verblijfplaats) of 9991 (= Orgaan van de woonplaats), dan mag InternationaalVerzekeringsbewijs niet voorkomen. -->
		<xsl:variable name="vc037">
			<xsl:call-template name="rc9692">
				<xsl:with-param name="Verzender" select="$Verzender"/>
				<xsl:with-param name="InternationaalVerzekeringsbewijs" select="gqs801:InternationaalVerzekeringsbewijs"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:AanvullendePrestatiegegevens>
			<xsl:apply-templates select="gqs801:Zorgtraject"></xsl:apply-templates>
			<!-- feedback klasse AanvullendePrestatiegegevens toevoegen -->
			<xsl:copy-of select="$vc036"/>
			<xsl:copy-of select="$vc037"/>
		</gqs802:AanvullendePrestatiegegevens>
	</xsl:template>
	<xsl:template match="gqs801:Zorgtraject">
	<!-- VC032: Van Zorgtraject moet tenminste 1 element voorkomen. -->
		<xsl:variable name="vc032">
			<xsl:call-template name="rc9488">
				<xsl:with-param name="ZorgtrajectNummer" select="gqs801:ZorgtrajectNummer"/>
				<xsl:with-param name="ZorgtrajectSubnummer" select="gqs801:ZorgtrajectSubnummer"/>
				<xsl:with-param name="ZorgtrajectStartdatum" select="gqs801:ZorgtrajectStartdatum"/>
			</xsl:call-template>
		</xsl:variable>
		<gqs802:Zorgtraject>
			<!-- feedback klasse Zorgtraject toevoegen -->
			<xsl:copy-of select="$vc032"/>
		</gqs802:Zorgtraject>
	</xsl:template>

	<xsl:template match="*[namespace-uri()='http://ei.vektis.nl/schadelastbericht582']" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{concat('gqs802:',local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
