<?xml version="1.0" encoding="UTF-8"?>
<!-- gqs801_582val_Vecozo_stap2, 2.0 u1 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cod="http://ei.vektis.nl/codelijsten/v1" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">
	<!-- VALXSLT 2 TRAPS RETOURBERICHT  - versie Vecozo -->
	<!-- Deze xslt doet stap 2, i.e. filteren overbodige ballast met eindresultaat retourbericht -->
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="//gqs802:Bericht">
		<gqs802:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/schadelastbericht583 gqs802_583.xsd</xsl:attribute>
			<xsl:apply-templates select="gqs802:Header"/>
			<xsl:apply-templates select="gqs802:SchadelastContext"/>
			<xsl:apply-templates select="gqs802:Overzicht"/>
			<xsl:apply-templates select="gqs802:Prestatie"/>
		</gqs802:Bericht>
	</xsl:template>
	<xsl:template match="gqs802:Header">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<gqs802:Header>
			<xsl:apply-templates select="gqs802:Berichtcode" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Berichtversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Berichtsubversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Berichtsoort" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Verzender" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:VerzenderRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Ontvanger" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:OntvangerRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Verzenddatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Referentienummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:GerelateerdReferentienummer" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="gqs802:Feedback"/>
		</gqs802:Header>
	</xsl:template>
	<xsl:template match="gqs802:SchadelastContext">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<gqs802:SchadelastContext>
			<xsl:apply-templates select="gqs802:Valutacode" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:BronIdDeclaratieverwerkingssysteem" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Berichttype" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Aanlevernummer" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:Aanmaakdatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:BegindatumVerwerkingsperiode" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:EinddatumVerwerkingsperiode" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:UzoviNummerVolmacht" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="gqs802:Feedback"/>
		</gqs802:SchadelastContext>
	</xsl:template>
	<xsl:template match="gqs802:Overzicht">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<gqs802:Overzicht>
			<xsl:apply-templates select="gqs802:TotaalDeclaratiebedragInclBtw"/>
			<xsl:apply-templates select="gqs802:TotaalVergoedBedragBasisInclBtw"/>
			<xsl:apply-templates select="gqs802:TotaalVergoedBedragAanvullendInclBtw"/>
			<xsl:apply-templates select="gqs802:TotaalBedragEigenRisico"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="gqs802:Feedback"/>
		</gqs802:Overzicht>
	</xsl:template>
	<xsl:template match="gqs802:TotaalDeclaratiebedragInclBtw">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<gqs802:TotaalDeclaratiebedragInclBtw>
			<xsl:apply-templates select="gqs802:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:DebetCreditCode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="gqs802:Feedback"/>
		</gqs802:TotaalDeclaratiebedragInclBtw>
	</xsl:template>
	<xsl:template match="gqs802:TotaalVergoedBedragBasisInclBtw">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<gqs802:TotaalVergoedBedragBasisInclBtw>
			<xsl:apply-templates select="gqs802:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:DebetCreditCode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="gqs802:Feedback"/>
		</gqs802:TotaalVergoedBedragBasisInclBtw>
	</xsl:template>
	<xsl:template match="gqs802:TotaalVergoedBedragAanvullendInclBtw">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<gqs802:TotaalVergoedBedragAanvullendInclBtw>
			<xsl:apply-templates select="gqs802:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:DebetCreditCode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="gqs802:Feedback"/>
		</gqs802:TotaalVergoedBedragAanvullendInclBtw>
	</xsl:template>	
	<xsl:template match="gqs802:TotaalBedragEigenRisico">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<gqs802:TotaalBedragEigenRisico>
			<xsl:apply-templates select="gqs802:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="gqs802:DebetCreditCode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="gqs802:Feedback"/>
		</gqs802:TotaalBedragEigenRisico>
	</xsl:template>
	<xsl:template match="gqs802:Prestatie">
		<xsl:variable name="FoutenDebetPrest" select="count(./gqs802:DebetPrestatie/gqs802:Feedback) +
			count(./gqs802:DebetPrestatie/gqs802:Verzekerde/gqs802:Feedback) +
			count(./gqs802:DebetPrestatie/gqs802:Indiener/gqs802:Feedback) +
			count(./gqs802:DebetPrestatie/gqs802:AanvullendePrestatiegegevens/gqs802:Feedback) +
			count(./gqs802:DebetPrestatie/gqs802:AanvullendePrestatiegegevens/gqs802:Zorgtraject/gqs802:Feedback) "/>
		<xsl:variable name="FoutenCreditPrest" select="count(./gqs802:CreditPrestatie/gqs802:Feedback)"/>
		<xsl:if test="($FoutenDebetPrest + $FoutenCreditPrest) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<gqs802:Prestatie>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="gqs802:DebetPrestatie"/>
				<xsl:apply-templates select="gqs802:CreditPrestatie"/>
			</gqs802:Prestatie>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gqs802:DebetPrestatie">
	<xsl:variable name="FoutenDebetPrest" select="count(./gqs802:Feedback) +
			count(./gqs802:Verzekerde/gqs802:Feedback) +
			count(./gqs802:Indiener/gqs802:Feedback) +
			count(./gqs802:AanvullendePrestatiegegevens/gqs802:Feedback) +
			count(./gqs802:AanvullendePrestatiegegevens/gqs802:Zorgtraject/gqs802:Feedback) "/> 
		<xsl:if test="$FoutenDebetPrest &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<gqs802:DebetPrestatie>
				<!-- retourneer identificerende gegevens van DebetPrestatie -->
				<xsl:apply-templates select="gqs802:Referentienummer" mode="copy-if-exists"/>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="gqs802:Verzekerde"/>
				<xsl:apply-templates select="gqs802:Indiener"/>
				<xsl:apply-templates select="gqs802:AanvullendePrestatiegegevens"/>
				<xsl:apply-templates select="gqs802:Feedback"/>
			</gqs802:DebetPrestatie>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gqs802:CreditPrestatie">
		<xsl:variable name="FoutenCreditPr" select="count(./gqs802:Feedback)"/>
		<xsl:if test="$FoutenCreditPr&gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<gqs802:CreditPrestatie>
				<!-- retourneer identificerende gegevens van CreditPrestatie -->
				<xsl:apply-templates select="gqs802:Referentienummer" mode="copy-if-exists"/>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="gqs802:Feedback"/>
			</gqs802:CreditPrestatie>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gqs802:Verzekerde">
		<!-- retourneer de klasse inclusief identificerende gegevens als klasse en/of subklassen één of meer fouten bevat -->
		<xsl:variable name="FoutenVerz" select="count(./gqs802:Feedback)"/>
		<xsl:if test="$FoutenVerz &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<gqs802:Verzekerde>
				<!-- retourneer identificerende gegevens van Verzekerde -->
				<!-- retourneer feedback -->
				<xsl:apply-templates select="gqs802:Feedback"/>
			</gqs802:Verzekerde>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gqs802:Indiener">
		<xsl:variable name="FoutenIndiener" select="count(./gqs802:Feedback) "/>
		<xsl:if test="$FoutenIndiener &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<gqs802:Indiener>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="gqs802:Feedback"/>
			</gqs802:Indiener>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gqs802:AanvullendePrestatiegegevens">
		<xsl:variable name="FoutenAanvPrestgeg" select="count(./gqs802:Feedback) +
													count(./gqs802:Zorgtraject/gqs802:Feedback) "/>
		<xsl:if test="$FoutenAanvPrestgeg &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<gqs802:AanvullendePrestatiegegevens>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="gqs802:Zorgtraject"/>
				<xsl:apply-templates select="gqs802:Feedback"/>
			</gqs802:AanvullendePrestatiegegevens>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gqs802:Zorgtraject">
		<xsl:variable name="FoutenZorgtraj" select="count(./gqs802:Feedback)"/>
		<xsl:if test="$FoutenZorgtraj &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<gqs802:Zorgtraject>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="gqs802:Feedback"/>
			</gqs802:Zorgtraject>
		</xsl:if>
	</xsl:template>
	<xsl:template match="gqs802:Feedback">
	<gqs802:Feedback>
		<xsl:apply-templates select="gqs802:Retourcode" mode="copy-if-exists"/>
		<xsl:apply-templates select="gqs802:BetrokkenElement"/>
	</gqs802:Feedback>
	</xsl:template>
	<xsl:template match="gqs802:BetrokkenElement">
		<gqs802:BetrokkenElement>
			<xsl:apply-templates select="*" mode="copy-if-exists"/>
		</gqs802:BetrokkenElement>
	</xsl:template>
	<!-- Copy template: als een enkel element voorkomt is, wordt deze gekopieerd in de opgegeven namespace -->
	<xsl:template match="gqs802:*" mode="copy-if-exists">
		<xsl:param name="NameSpacePrefix" select="'gqs802:'"/>
		<xsl:if test=".">
			<xsl:element name="{concat($NameSpacePrefix,local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template match="*[not(starts-with(name(), 'gqs802:'))]" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{name()}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
