<?xml version="1.0" encoding="UTF-8"?>
<!-- rc0581.xslt, versie 2.0 u1 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 0581: Indien Berichtcode = 582 (= Generieke schadelaststandaard), dan moet waarde PrestatieCodelijstCode = 071 (= Prestatiecodelijst geestelijke gezondheidszorg en forensische zorg volgens zpm) of 073 (= Fysiotherapie) of 074 (= Oefentherapie) of 075 (= Huidtherapie) of 076 (= Diëtetiek) of 077 (= Ergotherapie) of 078 (= Logopedie) of 079 (= GLI) of 080 (= Podotherapie) of 081 (= Overig GDS) voorkomen. -->
	<xsl:template name="rc0581">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="PrestatieCodelijstCode"/>
		
		<xsl:if test="($Berichtcode = '582') and not ($PrestatieCodelijstCode = '071' or $PrestatieCodelijstCode = '073' or $PrestatieCodelijstCode = '074' or $PrestatieCodelijstCode = '075' or $PrestatieCodelijstCode = '076' or $PrestatieCodelijstCode = '077' or $PrestatieCodelijstCode = '078' or $PrestatieCodelijstCode = '079' or $PrestatieCodelijstCode = '080' or $PrestatieCodelijstCode = '081')">
			<gqs802:Feedback>
				<gqs802:Retourcode>0581</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Berichtcode"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($PrestatieCodelijstCode)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$PrestatieCodelijstCode"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
