<?xml version="1.0" encoding="UTF-8"?>
<!-- rcTotaalbedrag_vs_Details, versie 1.0, 25 januari 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">
	<!-- retourcode 0150: De waarde van TotaalDeclaratieBedragInclBtw, rekening houdend met debet/credit, moet gelijk zijn aan de som van de waarden van DeclaratiebedragInclBtw, rekening houdend met DebetCredit, van alle Prestaties.   -->
	<xsl:template name="rcTotaalbedrag_vs_Details">
	    <xsl:param name="NaamBedrag"/>
		<xsl:param name="TotaalBedrag"/>
		<xsl:param name="TotaalBedragDCIndicator"/>
		<xsl:param name="TotaalDebetBedragen"/>
		<xsl:param name="TotaalCreditBedragen"/>
		<xsl:param name="Retourcode"/>
		<xsl:variable name="Totaal">
			<xsl:choose>
				<xsl:when test="$TotaalBedrag = 0 or $TotaalBedragDCIndicator='D'">
					<xsl:value-of select="$TotaalBedrag"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$TotaalBedrag * -1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="not(format-number($Totaal, '#.00') = (format-number((format-number($TotaalDebetBedragen, '#.00') - format-number($TotaalCreditBedragen, '#.00')), '#.00')))">
			<gqs802:Feedback>
				<gqs802:Retourcode><xsl:value-of select="$Retourcode"/></gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam>
						<xsl:value-of select="$NaamBedrag"/>
					</gqs802:Elementnaam>
					<gqs802:Elementwaarde>
						<xsl:value-of select="$TotaalBedrag"/>
					</gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam>
						<xsl:value-of select="local-name($TotaalBedragDCIndicator)"/>
					</gqs802:Elementnaam>
					<gqs802:Elementwaarde>
						<xsl:value-of select="$TotaalBedragDCIndicator"/>
					</gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>